lirc.client.CommandConnection Class Reference
Python client bindings » Classes to send commands

Extends the parent with a send() method. More...

Inheritance diagram for lirc.client.CommandConnection:

## Public Member Functions

def | __init__
def | send
| Send single line over socket.
Public Member Functions inherited from lirc.client.RawConnection
def | __init__
def | readline
| Implements AbstractConnection.readline(). More...
def | fileno (self)
| Implements AbstractConnection.fileno(). More...
def | has_data (self)
| Implements AbstractConnection.has_data()
def | close (self)
| Implements AbstractConnection.close()
Public Member Functions inherited from lirc.client.AbstractConnection
def | __enter__ (self)
def | __exit__ (self, exc_type, exc, traceback)
def | readline
| Read a buffered line. More...
def | fileno (self)
| Return the file nr used for IO, suitable for select() etc. More...
def | has_data (self)
| Return true if next readline(None) won't block . More...
def | close (self)
| Close/release all resources.

## Detailed Description

Extends the parent with a send() method.

Definition at line 367 of file client.py.

The documentation for this class was generated from the following file:

- /home/mk/tmp/lirc/python-pkg/lirc/client.py (c46974b 2017-01-23 02:17:12 +0100)